import { TreeItem } from '@/components/Tree';

export const TreeSystem: any[] = [
  {
    strategicId: 101,
    strategicName: '数据积压默认策略',
    strategicType: '数据积压策略',
  },
  {
    strategicId: 102,
    strategicName: '目标端数据异常默认策略',
    strategicType: '数据异常策略',
  },
  {
    strategicId: 103,
    strategicName: 'DB-DB源端DDL处理默认策略',
    strategicType: 'DB-DB源端DDL处理策略',
  },
  {
    strategicId: 104,
    strategicName: '系统异常默认策略',
    strategicType: '系统异常策略',
  },
  {
    strategicId: 105,
    strategicName: '一致性检查默认策略',
    strategicType: '一致性检查策略',
  },
  {
    strategicId: 106,
    strategicName: 'DB-Kafka源端DDL处理默认策略',
    strategicType: 'DB-Kafka源端DDL处理策略',
  },
];

export const systemData: any[] = [
  {
    eventDetail: '源端解析异常',
    eventHandle: '任务暂停',
    isStop: 3,
  },
  {
    eventDetail: 'Kafka异常',
    eventHandle: '120',
    isStop: 1,
  },
  {
    eventDetail: '内部异常',
    eventHandle: '任务暂停',
    isStop: 3,
  },
  {
    eventDetail: '数据源连接异常',
    eventHandle: '3',
    isStop: 2,
  },
];

export const errorData: any[] = [
  {
    eventDetail: '数据异常',
    eventHandle: '1',
  },
];

export const taskLeftTreeData: TreeItem[] = [
  {
    title: 'gxx',
    key: '0-0',
  },
  {
    title: 'gtr',
    key: '0-1',
  },
];

export const taskRightTreeData: TreeItem[] = [
  {
    title: 'gxx/冒烟测试/oracle-argodb_1',
    key: '0-0-0',
    fk: '0-0',
  },
  {
    title: 'gtr/冒烟测试/oracle-argodb_1',
    key: '0-1-1',
    fk: '0-1',
  },
];


export const DDLLeftTreeData: TreeItem[] = [
  {
    title: '共享工作区',
    key: '0-0',
  },
  {
    title: '商城工作区',
    key: '0-1',
  },
];

export const DDLRightTreeData: TreeItem[] = [
  {
    title: '/共享工作区/test_sink',
    key: '0-0-0',
    fk: '0-0',
  },
  {
    title: '/共享工作区/ws',
    key: '0-0-1',
    fk: '0-0',
  },
  {
    title: '/共享工作区/test-mmysql-argo',
    key: '0-0-2',
    fk: '0-0',
  },
  {
    title: '/共享工作区/test_mysql_argo2',
    key: '0-0-3',
    fk: '0-0',
  },
  {
    title: '/共享工作区/cq/pg-db',
    key: '0-0-4',
    fk: '0-0',
  },
  {
    title: '/共享工作区/cq/pg-db',
    key: '0-0-5',
    fk: '0-0',
  },
  {
    title: '/商城工作区/test-mmysql-argo',
    key: '0-1-1',
    fk: '0-1',
  },
  {
    title: '/商城工作区/test_mysql_argo2',
    key: '0-1-2',
    fk: '0-1',
  },
  {
    title: '/商城工作区/cq/pg-db',
    key: '0-1-3',
    fk: '0-1',
  },
  {
    title: '/商城工作区/cq/sqlserver-db',
    key: '0-1-4',
    fk: '0-1',
  },
  {
    title: '/商城工作区/ca/db',
    key: '0-1-5',
    fk: '0-1',
  },
];
